Retrieves the type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

marketing_segment
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

string

Max length: 50

segment

Marketing segment Name

string

Required

Max length: 50

description

Description of the segment

string

Max length: 255

visit_frequency_days_interval

Number of days between 2 visits

integer
frequency_logic

Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED )

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "a1f7f416-c225-460b-890b-46adab3a9069",
  "code": "sample string 2",
  "segment": "sample string 3",
  "description": "sample string 4",
  "visit_frequency_days_interval": 5,
  "frequency_logic": "sample string 6",
  "sales_organization_id": "556b5e51-2e84-47ba-b220-8950ea2f1245",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "4043e06c-53b4-46df-b076-0d6d3a6608d5",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "a1f5d375-aca8-499b-90f8-dba9a564336f",
    "db_currency_id": "959b5794-6832-41d4-b8a2-00a0add1824a",
    "db_language_id": "77858d26-63ca-4a4d-8c9c-d6cea808f2ec",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-28T21:51:31.2533034+00:00"
  },
  "modified_dateutc": "2026-10-28T21:51:31.2533034+00:00"
}